# $Revision: 1.17.2.23 $, $Date: 2008-02-19 23:26:32 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	up		# don't build UP module
%bcond_without	smp		# don't build SMP module
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%define		pname	mvsata
Summary:	SATA driver for the Marvell MV88SX50xx and MV88SX60x1
Summary(pl):	Sterownik dla kart SATA Marvell MV88SX50xx i MV88SX60x1
Name:		%{pname}%{_alt_kernel}
Version:	3.4.2a
Release:	63
License:	GPL v2
Group:		Base/Kernel
Source0:	http://www.keffective.com/mvsata/FC3/mvSata-%{version}-patched.tbz
# Source0-md5:	c3009bb8c3c19e0d8faa737c7efbc689
Patch0:		kernel-scsi-mv-scsi-timeout.patch
Patch1:		kernel-scsi-mv-fixes.patch
URL:		http://www.keffective.com/mvsata/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SATA driver for the Marvell MV88SX50xx and MV88SX60x1.

%description -l pl
Sterownik dla kart SATA Marvell MV88SX50xx i MV88SX60x1.

%package -n kernel%{_alt_kernel}-scsi-mv
Summary:	Linux SMP SATA driver for the Marvell MV88SX50xx and MV88SX60x1
Summary(pl):	Sterownik dla Linuksa SMP dla kart SATA Marvell MV88SX50xx i MV88SX60x1
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-scsi-mv
SATA driver for the Marvell MV88SX50xx and MV88SX60x1.

This package contains Linux UP module.

%description -n kernel%{_alt_kernel}-scsi-mv -l pl
Sterownik dla kart SATA Marvell MV88SX50xx i MV88SX60x1.

Ten pakiet zawiera modu jdra Linuksa UP.

%package -n kernel%{_alt_kernel}-smp-scsi-mv
Summary:	Linux SMP SATA driver for the Marvell MV88SX50xx and MV88SX60x1
Summary(pl):	Sterownik dla Linuksa SMP dla kart SATA Marvell MV88SX50xx i MV88SX60x1
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-smp-scsi-mv
Linux SMP SATA driver for the Marvell MV88SX50xx and MV88SX60x1.

This package contains Linux SMP module.

%description -n kernel%{_alt_kernel}-smp-scsi-mv -l pl
Sterownik dla Linuksa SMP dla kart SATA Marvell MV88SX50xx i
MV88SX60x1.

Ten pakiet zawiera modu jdra Linuksa SMP.

%prep
%setup -q -n mvSata_Linux_%(echo %{version} | tr . _)
%patch0 -p1
%patch1 -p1

%build
%if %{with kernel}
# kernel module(s)
cd LinuxIAL
%{__make} link_files
%build_kernel_modules -m mv_sata KERNEL_VER=2.6 KERNEL_SRC="%{_kernelsrcdir}"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m LinuxIAL/mv_sata -d kernel/drivers/scsi
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-scsi-mv
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-scsi-mv
%depmod %{_kernel_ver}

%post -n kernel%{_alt_kernel}-smp-scsi-mv
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-scsi-mv
%depmod %{_kernel_ver}smp

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-scsi-mv
%defattr(644,root,root,755)
%doc LinuxIAL/ReleaseNotes.txt
/lib/modules/%{_kernel_ver}/kernel/drivers/scsi/mv_sata.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-scsi-mv
%defattr(644,root,root,755)
%doc LinuxIAL/ReleaseNotes.txt
/lib/modules/%{_kernel_ver}smp/kernel/drivers/scsi/mv_sata.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mvsata.spec,v $
Revision 1.17.2.23  2008-02-19 23:26:32  glen
- release 63

Revision 1.17.2.22  2008-02-15 01:29:33  glen
- use kernel vermagic in deps

Revision 1.17.2.21  2008-02-12 11:01:11  glen
- release 61 (kernel-2.6.16.60-4)

Revision 1.17.2.20  2008-01-28 09:33:20  glen
- rel 60 (kernel-2.6.16.60-1)

Revision 1.17.2.19  2008-01-21 08:28:15  glen
- rel 59 (2.6.16.59-2)

Revision 1.17.2.18  2008-01-18 12:26:08  glen
- rel 58 (2.6.16.58-1)

Revision 1.17.2.17  2007/11/07 12:38:34  glen
- rel 57

Revision 1.17.2.16  2007/11/05 17:24:21  glen
- no _kernel_ver_str in src release

Revision 1.17.2.15  2007/11/05 17:23:28  glen
- renamed to mvsata.spec

Revision 1.17.2.14  2007/11/01 08:24:18  adamg
- release 56 (rebuild against 2.6.16.56-1)

Revision 1.17.2.13  2007/10/22 20:38:14  glen
- order

Revision 1.17.2.12  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.17.2.11  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.17.2.10  2007/10/01 21:25:45  glen
- rel 54

Revision 1.17.2.9  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.17.2.8  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.17.2.7  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.17.2.6  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.17.2.5  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.17.2.4  2007/04/25 22:11:09  glen
- rel 15 (kernel 2.6.16.49)

Revision 1.17.2.3  2007/03/27 22:17:41  glen
- rel 14 (kernel 2.6.16.45)

Revision 1.17.2.2  2007/03/15 23:08:40  glen
- rel 13

Revision 1.17.2.1  2007/03/15 23:05:44  glen
- rel 12

Revision 1.17  2007/01/23 18:35:32  hawk
- release 12

Revision 1.16  2006/12/08 14:09:04  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 11

Revision 1.15  2006/11/23 22:07:54  sparky
- use %build_kernel_modules, %install_kernel_modules
- specifu KERNEL_VER=2.6 (now builds with 2.6.18)

Revision 1.14  2006/11/23 20:23:23  hawk
- alt_kernel support (BR: rpm-build-macros >= 1.308)
- release 10

Revision 1.13  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.12  2006/07/02 16:08:00  hawk
- release 9

Revision 1.11  2006/04/12 12:15:41  glen
- add kernel epoch, adapterized

Revision 1.10  2006/03/17 22:06:52  glen
- rel 8

Revision 1.9  2006/03/11 12:27:30  arekm
- rel 7

Revision 1.8  2006/02/11 13:52:02  arekm
- rel 6

Revision 1.7  2006/01/26 11:08:07  arekm
- rel 5

Revision 1.6  2006/01/12 19:01:04  arekm
- rel 4

Revision 1.5  2006/01/12 18:54:18  arekm
- sparc/ppc fixes

Revision 1.4  2006/01/12 18:47:45  arekm
- rel 3

Revision 1.3  2005/11/17 07:50:48  arekm
- fixes for >= 2.6.13 kernels

Revision 1.2  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.1  2005/08/29 20:04:26  arekm
- initial pld release
